Part Cylinder: Difference between revisions

From FreeCAD Documentation
(Description)
(typo)
 
(16 intermediate revisions by the same user not shown)
Line 23: Line 23:


<!--T:9-->
<!--T:9-->
The [[Image:Part_Cylinder.svg|24px]] [[Part_Cylinder|Part Cylinder]] command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cylinder lies on the XY plane with its center at the origin.
The [[Image:Part_Cylinder.svg|24px]] '''Part Cylinder''' command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its {{PropertyData|Placement}} property, the bottom face of the cylinder lies on the XY plane with its center at the origin.


<!--T:25-->
A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.
A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.


Line 34: Line 35:


<!--T:17-->
<!--T:17-->
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] [[Part Cylinder|Cylinder]]}} button.
#* Press the {{Button|[[Image:Part_Cylinder.svg|16px]] [[Part_Cylinder|Part Cylinder]]}} button.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} option from the menu.
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Cylinder.svg|16px]] Cylinder}} option from the menu.
# The cylinder is created.
# Optionally change the dimensions and {{PropertyData|Placement}} of the cylinder by doing one of the following:
#* Double-click the object in the [[Tree_view|Tree view]]:
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


== Example ==
== Example == <!--T:26-->


<!--T:27-->
[[File:Part Cylinder Scripting Example.png|thumb|Part Cylinder scripting example.]]
[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]


<!--T:28-->
A Part Cylinder object with the values of the bottom scripting example are shown here.
A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.


== Notes == <!--T:29-->
The described placement and orientation changes are not shown because of simplicity for the given example.

<!--T:30-->
* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


== Properties == <!--T:11-->
== Properties == <!--T:11-->


<!--T:31-->
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


<!--T:32-->
A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data === <!--T:33-->


<!--T:34-->
{{TitleProperty|Attachment}}

<!--T:35-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

<!--T:36-->
{{TitleProperty|Cylinder}}
{{TitleProperty|Cylinder}}


<!--T:20-->
<!--T:20-->
* {{PropertyData|Radius|Radius}}: The radius of the cylinder. This defines a plane in the XY area.
* {{PropertyData|Radius|Length}}: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
* {{PropertyData|Height|Height}}: The height of the cylinder. This is the dimension in the Z direction.
* {{PropertyData|Height|Length}}: The height of the cylinder. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The rotation angle of the cylinder. The rotation angle permits the creation of a portion of cylinder (it is set to 360° by default).
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.


<!--T:37-->
{{TitleProperty|Prism}}
{{TitleProperty|Prism}}

* {{PropertyData|First Angle|Angle}}: Angle in first direction. This is the rotation around the Y axis. {{Version|0.20}}
<!--T:38-->
* {{PropertyData|Second Angle|Angle}}: Angle in second direction. This is the rotation around the X axis.{{Version|0.20}}
* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}


== Scripting == <!--T:22-->
== Scripting == <!--T:22-->

<!--T:39-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:23-->
<!--T:23-->
A Part Cylinder can be created using the following function:
A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:


</translate>
</translate>
Line 77: Line 107:


<!--T:24-->
<!--T:24-->
* Where {{Incode|myCylinder}} is the user editable name for the object.
* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:40-->
The label text of the object can be easily changed by
Example:


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
cylinder.Label = "new myCylinderName"
}}
<translate>


doc = App.activeDocument()
For example, you may wish to modify the width, length or of the start and finish vertex.


cylinder = doc.addObject("Part::Cylinder", "myCylinder")
</translate>
{{Code|code=
cylinder.Radius = 10
cylinder.Radius = 10
cylinder.Height = 25
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))
cylinder.Angle = 270

cylinder.FirstAngle = 30
doc.recompute()
cylinder.SecondAngle = 45
}}
}}
<translate>
<translate>


The result is a three-quarter cylinder.

You can change its placement and orientation with:

</translate>
{{Code|code=
cylinder.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))
}}
<translate>


<!--T:14-->
<!--T:14-->
Line 121: Line 140:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:54, 4 March 2022

Part Cylinder

Menu location
Part → Primitives → Cylinder
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Cylinder command creates a parametric cylinder solid. It is the result of extruding a circular arc along a straight path. In the coordinate system defined by its DataPlacement property, the bottom face of the cylinder lies on the XY plane with its center at the origin.

A Part Cylinder can be turned into a segment of a cylinder by changing its DataAngle property.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Cylinder button.
    • Select the Part → Primitives → Cylinder option from the menu.
  2. The cylinder is created.
  3. Optionally change the dimensions and DataPlacement of the cylinder by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DataPlacement with the Std TransformManip command.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DataRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DataHeight (Length): The height of the cylinder. The default is 10mm.
  • DataAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DataFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DataSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()